function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useCallback, useState } from 'react';
import { requireNativeComponent, UIManager, Platform, View, PixelRatio } from 'react-native';
import { Settings } from './interfaces';
export * from './enums';
export * from './interfaces';
const LINKING_ERROR = `The package 'react-native-readium' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ComponentName = 'ReadiumView';
const BaseReadiumView = UIManager.getViewManagerConfig(ComponentName) != null ? requireNativeComponent(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
export const ReadiumView = _ref => {
  let {
    onLocationChange: wrappedOnLocationChange,
    settings: unmappedSettings,
    ...props
  } = _ref;
  const [{
    height,
    width
  }, setDimensions] = useState({
    width: 0,
    height: 0
  });
  const onLocationChange = useCallback(event => {
    if (wrappedOnLocationChange) {
      wrappedOnLocationChange(event.nativeEvent);
    }
  }, [wrappedOnLocationChange]);
  return /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: '100%'
    },
    onLayout: _ref2 => {
      let {
        nativeEvent: {
          layout: {
            width,
            height
          }
        }
      } = _ref2;
      setDimensions({
        width: Platform.OS === 'android' ? PixelRatio.getPixelSizeForLayoutSize(width) : width,
        height: Platform.OS === 'android' ? PixelRatio.getPixelSizeForLayoutSize(height) : height
      });
    }
  }, /*#__PURE__*/React.createElement(BaseReadiumView, _extends({
    height: height,
    width: width
  }, props, {
    onLocationChange: onLocationChange,
    settings: unmappedSettings ? Settings.map(unmappedSettings) : undefined
  })));
};
//# sourceMappingURL=index.js.map