import { Appearance, FontFamily, TextAlignment, ColumnCount } from '../enums';
/**
 * A reader settings object with sensible defaults.
 */
export declare class Settings {
    appearance: Appearance;
    fontFamily: FontFamily;
    textAlign: TextAlignment;
    colCount: ColumnCount;
    scroll: boolean;
    fontOverride: boolean;
    verticalScroll: boolean;
    bodyHyphens: boolean;
    advancedSettings: boolean;
    /**
     * Range: 100.0 - 300.0
     */
    fontSize: number;
    /**
     * Range: 0.0 - 0.5
     */
    wordSpacing: number;
    /**
     * Range: 0.0 - 0.5
     */
    letterSpacing: number;
    /**
     * Range: 0.5 - 4.0
     */
    pageMargins: number;
    /**
     * Range: 1.0 - 2.0
     */
    lineHeight: number;
    /**
     * Range: 0.0 - 2.0
     */
    paragraphMargins?: number;
    static map(settings: Partial<Settings>): any;
}
